Skip to content
GET /automation/{id}/run/{runId}/step/{seq}

Output inline up to 64 KB, else a signed URL.

Path Parameters

idstring
required·

Resource id

runIdstring
required·

Resource id

seqstring
required·

Resource id

Response Body

attemptinteger
duration_msinteger
error
finished_atstring
has_outputboolean
iteration
keystring
labelstring
output
output_previewstring,null
output_truncatedboolean
output_urlstring,null
pathstring
seqinteger
started_atstring
statusstring
targetstring,null
tierstring,null
typestring
curl -X GET 'https://api.elaichi.ai/automation/<id>/run/<runId>/step/<seq>' \
  -H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
  -H 'Content-Type: application/json'
const response = await fetch('https://api.elaichi.ai/automation/<id>/run/<runId>/step/<seq>', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import os
import requests

url = "https://api.elaichi.ai/automation/<id>/run/<runId>/step/<seq>"
headers = {
    "Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
    "Content-Type": "application/json",
}

response = requests.get(url, headers=headers)
print(response.json())